Next: TRANSFER, Previous: TINY, Up: Intrinsic Procedures

### 8.246 `TRAILZ` — Number of trailing zero bits of an integer

Description:
  `TRAILZ` returns the number of trailing zero bits of an integer.
Standard:
  Fortran 2008 and later
Class:
  Elemental function
Syntax:
  `RESULT = TRAILZ(I)`
Arguments:

  I | Shall be of type `INTEGER`.

Return value:
  The type of the return value is the default `INTEGER`. If all the bits of `I` are zero, the result value is `BIT_SIZE(I)`.
Example:

                PROGRAM test_trailz
                  WRITE (*,*) TRAILZ(8)  ! prints 3
                END PROGRAM

See also:
  BIT_SIZE, LEADZ, POPPAR, POPCNT